# eric6.Helpviewer.Sync.SyncFtpSettingsPage

Module implementing the synchronization FTP host settings wizard page.

### Global Attributes

None

### Classes

SyncFtpSettingsPage | Class implementing the synchronization FTP host settings wizard page.

### Functions

None

## SyncFtpSettingsPage

Class implementing the synchronization FTP host settings wizard page.

### Derived from

QWizardPage, Ui_SyncFtpSettingsPage

### Class Attributes

None

### Class Methods

None

### Methods

SyncFtpSettingsPage | Constructor
isComplete | Public method to check the completeness of the page.
nextId | Public method returning the ID of the next wizard page.

### Static Methods

None

#### SyncFtpSettingsPage (Constructor)

SyncFtpSettingsPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SyncFtpSettingsPage.isComplete

isComplete()

Public method to check the completeness of the page.

Returns:
  flag indicating completeness (boolean)

#### SyncFtpSettingsPage.nextId

nextId()

Public method returning the ID of the next wizard page.

Returns:
  next wizard page ID (integer)

Up